*BEFORE USING THIS FILE AND THE ACCOMPANYING DATA
*PLEASE READ "ReadMe.pdf"

set more off
set matsize 800
set linesize 160 
clear all

cd "D:\adocuments\aaaa\pap3\judgecite\comp\"
*YOU WILL NEED TO SET YOUR OWN DIRECTORIES/FILES FOR THE NEXT THREE LINES
log using "D:\adocuments\aaaa\pap3\judgecite\comp\appendixOC.log", replace
global resultsdir = "D:\adocuments\aaaa\pap3\judgecite\comp"
global dofiledir = "D:\adocuments\aaaa\pap3\judgecite\comp" 
set seed 4589466
use "$resultsdir\appendixOC.dta", clear

/* VARIABLES IN DATASET appendixOC.dta DEFINED
cited_date = as in main dataset
Chancery = as in main dataset
CommonPleas = as in main dataset
Exchequer = as in main dataset
t_cj = as in main dataset
t_pj = as in main dataset
statlag10 = as in main dataset
l5citesame = number of citations to cases heard in the specific court in the preceding five years
change = dummy variable indicating the years in which a judicial appointment is made
ten = dummy variable indicating whether an appointment is with secure tenure or not
datefire = dummy variable indicating those years in which non-renewal or firing need not violate terms of tenure
neg_events_cj = dummy variable indicating years in which a chief judge is either fired or not renewed
neg_events_pj = dummy variable indicating years in which an associate judge is either fired or not renewed
*/

local inds statlag10 l5citesame change neg_events_cj neg_events_pj t_cj t_pj datefire   
foreach ind of local inds {
quietly reg `ind' Chancery CommonPleas Exchequer i.cited_date
predict r`ind', residuals
*sum `ind' r`ind'
}
local inds2 statlag10 l5citesame    

*Table OC.1 
foreach ind of local inds2 {
di "r`ind'"
di "if change  == 1"
ttest r`ind' if change == 1, by(ten)
}

*Table OC.2
foreach ind of local inds2 {
di "r`ind'"
di " by neg_events_pj"
ttest r`ind' if t_pj < 1 | datefire ==1, by(neg_events_pj)
}

*Table OC.3
foreach ind of local inds2 {
di "r`ind'"
di " by neg_events_cj"
ttest r`ind' if t_cj < 1 | datefire ==1, by(neg_events_cj)
}

exit, clear

&&&&&&&&&&&&&&&&&&&&&&&&&END
