*BEFORE USING THIS FILE AND THE ACCOMPANYING DATA
*PLEASE READ "ReadMe.pdf"

set more off
set matsize 800
set linesize 160 
clear all

*COMMANDS ALWAYS USED THESE NEED TO BE AT THE BEGINNING WHEN
*PRODUCING ALL OF THE INDIVIDUAL TABLES, WHICH IS DONE IN 
*SEPARATE RUNS. I ALWAYS DO MY STATA IN BATCH AND THEREFORE THINGS
*ARE SET UP TO RUN THAT WAY IN THIS FILE
*YOU WILL NEED TO SET YOUR OWN DIRECTORIES/FILES FOR THE NEXT FOUR LINES
cd "D:\adocuments\aaaa\pap3\judgecite\comp\"
log using "D:\adocuments\aaaa\pap3\judgecite\comp\finalCite2020.log", replace
global resultsdir = "D:\adocuments\aaaa\pap3\judgecite\comp"
global dofiledir = "D:\adocuments\aaaa\pap3\judgecite\comp" 
set seed 4589466
use "$resultsdir\finalCite2020.dta", clear
*DATA SET HAS THIS *xtset cited_date courtnum
*DID IT THIS WAY BECAUSE OF LONG, NARROW PANEL
*stata manual xtset panelvar timevar
*THIS IS SIMPLY COSMETIC TO READ THE RESULTS EASILY
local measures "all after1830 less20 same other" /* = `measured'citejudge */
local courts CH CP EX KB
local courts2 Chancery CommonPleas Exchequer KingsBench
drop if cited_date < 1600
drop if cited_date > 1800
*END COMMANDS ALWAYS USED

*THERE ARE NOW MANY BLOCKS OF CODE SURROUNDED BY /*...*/
*EACH ONE OF THESE IS DESIGNED TO RUN INDEPENDENTLY
*PROBLEMS WILL ARISE IF THEY ARE RUN CONSECUTIVELY 
*WITHOUT DROPPING THE DATA SET AND THEN RELOADING
*IT AS ABOVE IN THE "use" STATEMENT.
*DO NOT SAVE THE DATASET AFTER AN INDIVIDUAL RUN, 
*SINCE TRANSFORMATIONS OF THE DATA ARE USED IN SOME BLOCKS OF CODE
*THAT WILL CAUSE ERRORS TO ARISE IN OTHER BLOCKS OF CODE.

*THE SEPARATE BLOCKS OF CODE ARE EACH NAMED WITH THE TABLES
*THEY PRODUCE, CORRESPONDING TO THE TABLES IN THE PAPER
*ITSELF AND THE ONLINE APPENDIX
*WITHIN EACH BLOCK THERE ARE SUGGESTIONS ABOUT HOW TO FIND THE
*PARTICULAR RESULTS FOR THE TABLE THAT ARE WITHIN THE
*DETAILED STATA OUTPUT

/*
*TABLE 1, AND BOOTSTRAP SE'S FOR TABLE OF.1
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
xtreg citedfromall t_cj t_pj  Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
boottest t_cj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
boottest t_pj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
est sto m1`i'
xtreg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
est sto m2`i'
test t_cj = t_pj
boottest t_cj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
boottest t_pj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
*RTF FILE FOR ODD NUMBERED COLUMNS OF TABLE 1
esttab m1* using "$resultsdir\Table_1_odd.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*RTF FILE FOR EVEN NUMBERED COLUMNS OF TABLE 1
esttab m2* using "$resultsdir\Table_1_even.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*TO FIND THE RESULTS INCLUDED IN TABLE OF.1, SEARCH IN THE LOG FILE FOR "Wild bootstrap" AND EXTRACT THE RESULTS
*APPEARING IMMEDIATELY BELOW. THERE WILL BE 20 INSTANCES = 10 COLUMNS TIMES 2 COEFFICIENTS
*NOTICE THAT THE RESULTS WILL NOT BE ABSOLUTELY IDENTICAL TO THOSE IN THE PAPER BECAUSE THIS ROUTINE 
*SEEMS TO GENERATE RESULTS THAT VARY VERY SLIGHTLY EACH TIME IT IS INVOKED ON EXACTLY THE SAME DATA
*DIFFERENCES WITH THE RESULTS IN THE PAPER WILL BE SMALL
*END TABLE 1, AND BOOTSTRAP SE'S FOR TABLE OF.1
exit, clear



*TABLE 2, AND BOOTSTRAP SE'S FOR TABLE OF.1
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
xtreg citedfromall whole exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
est sto m2`i'
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
*RTF FILE FOR TABLE 2
esttab m2* using "$resultsdir\Table_2.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*TO FIND THE RESULTS INCLUDED IN TABLE OF.2, SEARCH IN THE LOG FILE FOR "Wild bootstrap" AND EXTRACT THE RESULTS
*APPEARING IMMEDIATELY BELOW. THERE WILL BE 5 INSTANCES
*NOTICE THAT THE RESULTS WILL NOT BE ABSOLUTELY IDENTICAL TO THOSE IN THE PAPER BECAUSE THIS ROUTINE 
*SEEMS TO GENERATE RESULTS THAT VARY VERY SLIGHTLY EACH TIME IT IS INVOKED ON EXACTLY THE SAME DATA
*DIFFERENCES WITH THE RESULTS IN THE PAPER WILL BE SMALL
*END TABLE 2, AND BOOTSTRAP SE'S FOR TABLE OF.2
exit, clear


*TABLE OB.1
estpost sum allcitejudge othercitejudge samecitejudge less20citejudge after1830citejudge t_cj t_pj whole exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_pj age_cj statlag10 expect_cj l5dpclordall
esttab using "$resultsdir\jcresults.rtf", cell((count mean sd min max)) replace 
*END TABLE OB.1
exit, clear

*TABLES OD.1 and OD.2, AND BOOTSTRAP SE'S FOR TABLE OF.3 
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
label variable citedfromall "`measure'citejudge"
xtivreg citedfromall (t_cj t_pj =  expect_cj l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
est sto m1`i'
xtoverid, noi
test t_cj = t_pj
test t_cj + t_pj = 0
boottest t_cj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
boottest t_pj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
*TO FIND THE RESULTS FOR TABLE OD.1 LOOK FOR "First-stage within regression" IN THE LOG
*FILE AND THE PERTINENT RESULTS ARE RIGHT THERE
*WHEN PRODUCING TABLE OD.1 REMEMBER TO MULTIPLY ALL COEFFICIENTS IN THE LOG OUTPUT BY 
* 1,000, WHICH IS DONE PURELY TO GET RID OF TOO MANY LEADING ZEROES IN THE TABLE
*TO FIND THE DIAGNOSTICS INCLUDED IN TABLE OD.1 LOOK FOR "Summary results for first-stage regressions"
*IN THE LOG *FILE AND THE PERTINENT RESULTS ARE RIGHT THERE
*LINE BELOW PRODUCES RTF FILE FOR TABLE OD.2
esttab m1* using "$resultsdir\Table_D2.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*TO FIND THE RESULTS INCLUDED IN TABLE OF.3, SEARCH IN THE LOG FILE FOR "Wild bootstrap" AND EXTRACT THE RESULTS
*APPEARING IMMEDIATELY BELOW. THERE WILL BE 10 INSTANCES = 5 COLUMNS TIMES 2 COEFFICIENTS
*NOTICE THAT THE RESULTS WILL NOT BE ABSOLUTELY IDENTICAL TO THOSE IN THE PAPER BECAUSE THIS ROUTINE 
*SEEMS TO GENERATE RESULTS THAT VARY VERY SLIGHTLY EACH TIME IT IS INVOKED ON EXACTLY THE SAME DATA
*DIFFERENCES WITH THE RESULTS IN THE PAPER WILL BE SMALL
*END   TABLES OD.1 and OD.2, AND BOOTSTRAP SE'S FOR TABLE OF.3 
exit, clear

*TABLES OD.3 and OD.4, AND BOOTSTRAP SE'S FOR TABLE OF.4 
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
label variable citedfromall "`measure'citejudge"
*NOTE THAT TABLE OD.3 GIVES FIRST-STAGE RESULTS FOR THREE DIFFERENT INSTRUMENT SETS
*TO FIND THE RESULTS FOR TABLE OD.3 LOOK SUCCESSIVELY FOR THREE DIFFERENT INSTANCES OF
* "First-stage within regression" IN THE LOG FILE AND THE PERTINENT RESULTS ARE RIGHT THERE
*WHEN PRODUCING TABLE OD.3 REMEMBER TO MULTIPLY ALL COEFFICIENTS IN THE LOG OUTPUT
* 1,000, WHICH IS DONE PURELY TO GET RID OF TOO MANY LEADING ZEROES IN THE TABLE
*TO FIND THE DIAGNOSTICS INCLUDED IN TABLE OD.3 LOOK FOR THREE SUCCESSIVE INSTANCES OF 
* "Summary results for first-stage regressions" IN THE LOG FILE
*AND THE PERTINENT RESULTS ARE RIGHT THERE
xtivreg citedfromall (whole =  expect_cj l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
xtoverid, noi
est sto m1`i'
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
xtivreg citedfromall (whole =  l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
xtoverid, noi
est sto m2`i'
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
xtivreg citedfromall (whole =  expect_cj ) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
xtoverid, noi
est sto m3`i'
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
*TO CONSTRUCT TABLE OD.4 JUST TAKE THE FIRST ROWS OF THE FOLLOWING THREE TABLES
*REMAINING ROWS OF THESE THREE TABLES ARE NOT USED IN THE PAPER
esttab m1* using "$resultsdir\Table_D4_first_segment.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
esttab m2* using "$resultsdir\Table_D4_second_segment.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
esttab m3* using "$resultsdir\Table_D4_third_segment.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*TO FIND THE RESULTS INCLUDED IN TABLE OF.4, SEARCH IN THE LOG FILE FOR "Wild bootstrap" AND EXTRACT THE RESULTS
*APPEARING IMMEDIATELY BELOW. THERE WILL BE 15 INSTANCES = 5 COLUMNS TIMES 3 DIFFERENT REGRESSIONS
*NOTICE THAT THE RESULTS WILL NOT BE ABSOLUTELY IDENTICAL TO THOSE IN THE PAPER BECAUSE THIS ROUTINE 
*SEEMS TO GENERATE RESULTS THAT VARY VERY SLIGHTLY EACH TIME IT IS INVOKED ON EXACTLY THE SAME DATA
*DIFFERENCES WITH THE RESULTS IN THE PAPER WILL BE SMALL
*END TABLES OD.3 and OD.4, AND BOOTSTRAP SE'S FOR TABLE OF.4
exit,clear

*TABLE OE.1 
*THERE ARE 15 INTERVALS IN THE TABLE = 5 DIFFERENT REGRESSIONS AND THREE DIFFERENT ASSUMPTIONS
*ON THE VALUE OF RMAX, AS INDICATED IN THE ONLINE APPENDIX E
*THE LOWER LIMIT OF EACH INTERVAL IS FOUND IN THE REGRESSION TABLE. THE UPPER LEVEL OF EACH LIMIT
*IS FOUND BY SEARCHING FOR "psacalc beta t_pj" AND THEN READING OFF THE ENTRY NEXT TO THE 
*FIRST "Beta". THIS SEARCH HAS TO BE DONE 3 TIMES FOR EACH OF THE 5 REGRESSIONS
gen citedfromall = allcitejudge
reg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta t_pj, rmax(0.757) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.806) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.678) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = after1830citejudge
reg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta t_pj, rmax(0.757) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.8047) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.662) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = less20citejudge
reg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta t_pj, rmax(0.757) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.6526) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.54) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = samecitejudge
reg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta t_pj, rmax(0.757) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.7631) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.652) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = othercitejudge
reg citedfromall t_cj t_pj  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta t_pj, rmax(0.757) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.8021) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.662) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
*TABLE OE.1
exit, clear

*TABLE OE.2
*THERE ARE 15 INTERVALS IN THE TABLE = 5 DIFFERENT REGRESSIONS AND THREE DIFFERENT ASSUMPTIONS
*ON THE VALUE OF RMAX, AS INDICATED IN THE ONLINE APPENDIX E
*THE LOWER LIMIT OF EACH INTERVAL IS FOUND IN THE REGRESSION TABLE. THE UPPER LEVEL OF EACH LIMIT
*IS FOUND BY SEARCHING FOR "psacalc beta" AND THEN READING OFF THE ENTRY NEXT TO THE 
*FIRST "Beta". THIS SEARCH HAS TO BE DONE 3 TIMES FOR EACH OF THE 5 REGRESSIONS
*NOTE THAT FOR REGRESSION 3 OF THE FIVE THE LIMITS ARE REVERSED BECAUSE THE CONTROLLED 
*REGRESSION HAS A LOWER VALUE OF THE COEFFIECENT OF INTEREST THAN DOES
*THE UNCONTROLLED REGRESSION
gen citedfromall = allcitejudge
reg citedfromall whole  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj statlag10 age_pj age_cj Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta whole, rmax(0.757) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.807) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.679) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = after1830citejudge
reg citedfromall whole  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj statlag10 age_pj age_cj Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta whole, rmax(0.757) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.815) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.678) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = less20citejudge
reg citedfromall whole  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj statlag10 age_pj age_cj Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta whole, rmax(0.757) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.654) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.542) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = samecitejudge
reg citedfromall whole  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj statlag10 age_pj age_cj Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta whole, rmax(0.757) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.767) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.658) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
drop citedfromall

gen citedfromall = othercitejudge
reg citedfromall whole  exp_cj sameexp_cj exp_pj yrten_cj yrten_pj statlag10 age_pj age_cj Chancery CommonPleas Exchequer i.cited_date, vce(cluster cited_date)
psacalc beta whole, rmax(0.757) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.809) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.672) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
*END TABLE OE.2
exit, clear

*TABLE OG.1
replace allcitejudge = ln(1+allcitejudge)
replace othercitejudge = ln(1+othercitejudge)
replace samecitejudge = ln(1+samecitejudge)
replace less20citejudge = ln(1+less20citejudge)
replace after1830citejudge = ln(1+after1830citejudge)
estpost sum allcitejudge othercitejudge samecitejudge less20citejudge after1830citejudge if cited_date > 1599
esttab using "$resultsdir\Table_G1.rtf", cell((count mean sd min max)) replace 
*END  TABLE OG.1
exit, clear

*TABLES OG.2 OG.3 AND OG.4
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
replace citedfromall = ln(1+citedfromall)
xtreg citedfromall t_cj t_pj  Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
est sto m1`i'
xtreg citedfromall t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
est sto m2`i'
test t_cj = t_pj
boottest t_pj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
*RTF FILE FOR ODD NUMBERED COLUMNS OF TABLE OG.2
esttab m1* using "$resultsdir\Tsble_G2_odd.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*RTF FILE FOR EVEN NUMBERED COLUMNS OF TABLE OG.2
esttab m2* using "$resultsdir\Tsble_G2_even.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)

*OSTER PROCEDURE
replace allcitejudge = ln(1+allcitejudge)
replace othercitejudge = ln(1+othercitejudge)
replace samecitejudge = ln(1+samecitejudge)
replace less20citejudge = ln(1+less20citejudge)
replace after1830citejudge = ln(1+after1830citejudge)

reg allcitejudge t_cj t_pj Chancery CommonPleas Exchequer i.cited_date
reg allcitejudge t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta t_pj, rmax(0.853) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.985) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.786) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)

reg after1830citejudge t_pj t_cj Chancery CommonPleas Exchequer i.cited_date
reg after1830citejudge t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta t_pj, rmax(0.853) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(1.0) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.826) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)

reg less20citejudge t_pj t_cj Chancery CommonPleas Exchequer i.cited_date
reg less20citejudge t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta t_pj, rmax(0.853) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.987) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.789) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)

reg samecitejudge t_pj t_cj Chancery CommonPleas Exchequer i.cited_date
reg samecitejudge t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta t_pj, rmax(0.853) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(1.0) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.872) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)

reg othercitejudge t_pj t_cj Chancery CommonPleas Exchequer i.cited_date
reg othercitejudge t_cj t_pj  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta t_pj, rmax(0.853) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.917) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
psacalc beta t_pj, rmax(0.733) delta(1.0) mcontrol(t_cj Chancery CommonPleas Exchequer i.cited_date)
*END TABLES OG.2 OG.3 AND OG.4
exit, clear

*TABLES OG.5 OG.6 OG.7
replace allcitejudge = ln(1+allcitejudge)
replace othercitejudge = ln(1+othercitejudge)
replace samecitejudge = ln(1+samecitejudge)
replace less20citejudge = ln(1+less20citejudge)
replace after1830citejudge = ln(1+after1830citejudge)
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
xtreg citedfromall whole  Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
xtreg citedfromall whole exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe vce(cluster cited_date)
est sto m1`i'
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
esttab m1* using "$resultsdir\Table_G5.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)

reg allcitejudge whole Chancery CommonPleas Exchequer i.cited_date
reg allcitejudge whole exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta whole, rmax(0.853) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.969) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.775) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)

reg after1830citejudge whole Chancery CommonPleas Exchequer i.cited_date
reg after1830citejudge whole  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta whole, rmax(0.853) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(1.0) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.822) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)

reg less20citejudge whole Chancery CommonPleas Exchequer i.cited_date
reg less20citejudge whole  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta whole, rmax(0.853) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.979) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.782) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)

reg samecitejudge whole Chancery CommonPleas Exchequer i.cited_date
reg samecitejudge whole  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta whole, rmax(0.853) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(1.0) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.864) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)

reg othercitejudge whole Chancery CommonPleas Exchequer i.cited_date
reg othercitejudge whole  exp_cj exp_pj sameexp_cj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer i.cited_date
psacalc beta whole, rmax(0.853) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.9) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
psacalc beta whole, rmax(0.722) delta(1.0) mcontrol(Chancery CommonPleas Exchequer i.cited_date)
*END   TABLES OG.5 OG.6 OG.7
exit, clear

*TABLES OG.8 OG.9 OG.10
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
replace citedfromall = ln(1+citedfromall)
label variable citedfromall "`measure'citejudge"
xtivreg citedfromall (t_cj t_pj =  expect_cj l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
est sto m1`i'
xtoverid, noi
test t_cj = t_pj
test t_cj + t_pj = 0
boottest t_pj, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
esttab m1* using "$resultsdir\Table_G9.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
*END   TABLES OG.8 OG.9 OG.10
exit, clear
*/

/*
*TABLES OG11 OG12
replace allcitejudge = ln(1+allcitejudge)
replace othercitejudge = ln(1+othercitejudge)
replace samecitejudge = ln(1+samecitejudge)
replace less20citejudge = ln(1+less20citejudge)
replace after1830citejudge = ln(1+after1830citejudge)
local i = 0
foreach measure of local measures {
local i = `i' + 1 
gen citedfromall = `measure'citejudge
label variable citedfromall "`measure'citejudge"
*note alternative instrument sets
xtivreg citedfromall (whole =  expect_cj l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
est sto m1`i'
xtoverid, noi
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
xtivreg citedfromall (whole =  l5dpclordsKingsBench l5dpclordsCommonPleas l5dpclordsExchequer) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
est sto m1`i'
xtoverid, noi
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
xtivreg citedfromall (whole =  expect_cj ) exp_cj sameexp_cj exp_pj yrten_cj yrten_pj age_cj age_pj statlag10 Chancery CommonPleas Exchequer, fe first vce(cluster cited_date)
est sto m1`i'
xtoverid, noi
boottest whole, clust(cited_date courtnum) reps(9999) bootcluster(cited_date courtnum)
drop citedfromall
}
esttab m1* using "$resultsdir\jcresults.rtf", label compress replace star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
exit, clear
*END TABLES OG11 OG12
exit, clear
*/


+++++++++++++++++++++++++++++++++++++++END



